Skip to main content
POST
/
v1
/
projects
Create project and queue initial sync
curl --request POST \
  --url https://api.suprlogs.com/v1/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "githubInstallationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "repoOwner": "<string>",
  "repoName": "<string>",
  "name": "<string>",
  "slug": "<string>",
  "ownerType": "user",
  "clerkOwnerId": "<string>",
  "trackedBranch": "main",
  "isPrivate": false,
  "visibility": "public",
  "visibility_password": "<string>",
  "publishMode": "auto",
  "aggregationFrequency": "daily"
}
'
{}

Authorizations

Authorization
string
header
required

Send API key as Authorization: Bearer .

Body

application/json
githubInstallationId
string<uuid>
required
repoOwner
string
required
repoName
string
required
name
string
required
Required string length: 1 - 100
slug
string
required
Pattern: ^[a-z0-9-]+$
ownerType
enum<string>
required
Available options:
user,
org
clerkOwnerId
string
required
trackedBranch
string
default:main
isPrivate
boolean
default:false
visibility
enum<string>
Available options:
public,
unlisted,
private
visibility_password
string
Required string length: 4 - 128
publishMode
enum<string>
Available options:
auto,
approval_required
aggregationFrequency
enum<string>
Available options:
daily,
weekly,
monthly

Response

Project created.

The response is of type object.